Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

List app chats with an agent

Lists app-chat sessions with one agent. Non-admin callers are limited to their own chats.

GET/agents/{id}/chats
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Query parameters
minestring

When true, return only chats owned by the current user. Non-admin callers are always limited to their own chats.

limitstring

Maximum chats to return, capped at 100.

Responses
200
401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Request
curl -X GET "https://leadtime.app/api/public/agents/string/chats" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
No example response.